Class PhusionPassenger::AdminTools::MemoryStats::Process |
In: | lib/phusion_passenger/admin_tools/memory_stats.rb
Parent: | Object

Information about a single process.

Methods

- private_dirty_rss_in_mb
- rss_in_mb
- to_a
- vm_size_in_mb

Attributes

[RW] | cpu |
[RW] | name |
[RW] | pid |
[RW] | ppid |
[RW] | private_dirty_rss |
[RW] | rss |
[RW] | threads |
[RW] | vm_size |

Public Instance methods
private_dirty_rss_in_mb()

[ show source ]

        # File lib/phusion_passenger/admin_tools/memory_stats.rb, line 49
    49:                 def private_dirty_rss_in_mb
    50:                         if private_dirty_rss.is_a?(Numeric)
    51:                                 return sprintf("%.1f MB", private_dirty_rss / 1024.0)
    52:                         else
    53:                                 return "?"
    54:                         end
    55:                 end

rss_in_mb()

[ show source ]

        # File lib/phusion_passenger/admin_tools/memory_stats.rb, line 45
    45:                 def rss_in_mb
    46:                         return sprintf("%.1f MB", rss / 1024.0)
    47:                 end

to_a()

[ show source ]

        # File lib/phusion_passenger/admin_tools/memory_stats.rb, line 57
    57:                 def to_a
    58:                         return [pid, ppid, vm_size_in_mb, private_dirty_rss_in_mb, rss_in_mb, name]
    59:                 end

vm_size_in_mb()

[ show source ]

        # File lib/phusion_passenger/admin_tools/memory_stats.rb, line 41
    41:                 def vm_size_in_mb
    42:                         return sprintf("%.1f MB", vm_size / 1024.0)
    43:                 end